Bug 603593 - (CVE-2010-2071) CVE-2010-2071 kernel: btrfs: prevent users from setting ACLs on files they do not own
CVE-2010-2071 kernel: btrfs: prevent users from setting ACLs on files they do...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 603594
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-13 22:08 EDT by Eugene Teo (Security Response)
Modified: 2012-03-28 04:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 04:51:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-06-13 22:08:58 EDT
Description of problem:
http://lkml.org/lkml/2010/5/17/544

On btrfs, do the following
------------------
# su user1
# cd btrfs-part/
# touch aaa
# getfacl aaa
  # file: aaa
  # owner: user1
  # group: user1
  user::rw-
  group::rw-
  other::r--
# su user2
# cd btrfs-part/
# setfacl -m u::rwx aaa
# getfacl aaa
  # file: aaa
  # owner: user1
  # group: user1
  user::rwx           <- successed to setfacl
  group::rw-
  other::r--
------------------
but we should prohibit it that user2 changing user1's acl.
In fact, on ext3 and other fs, a message occurs:
  setfacl: aaa: Operation not permitted

Upstream commit:
http://git.kernel.org/linus/2f26afba
Comment 1 Eugene Teo (Security Response) 2010-06-13 22:09:28 EDT
Meanwhile, we should also include http://git.kernel.org/linus/731e3d1b.
Comment 3 Eugene Teo (Security Response) 2010-06-13 22:11:28 EDT
Statement:

Not vulnerable. This issue did not affect the versions of Linux kernel as
shipped with Red Hat Enterprise Linux 3, 4, 5 and Red Hat Enterprise MRG as
they did not include support for Btrfs, a new copy on write filesystem.
Comment 4 Fedora Update System 2010-07-08 14:22:57 EDT
kernel-2.6.33.6-147.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-07-13 03:48:39 EDT
kernel-2.6.32.16-141.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.